Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Can't resolve target platform
Can't resolve target platform [message #1746690] Thu, 03 November 2016 09:46 Go to next message
Vlad Dumitrescu is currently offline Vlad DumitrescuFriend
Messages: 426
Registered: July 2009
Location: Gothenburg
Senior Member
Hi all,

I am getting crazy here and can't find any other references to similar problems newer than 2012. I'm not sure if it's a PDE or P2 problem.

When I try to reload a target file, I started getting errors about not being able to satisfy dependencies to equinox.launchers and SWT from other platforms. This same target and the same workspace and eclipse installations I have used for a couple of months ago, and it was working fine. I tried cleaning up, reinstalling, restoring from git, etc but the results are the same.

Strangely, building with maven and using the very same target works like it should.

I have a weak memory that I had the same problem when setting up the projects in the beginning, but somehow that got fixed and I didn't write down what made it work. It kept working for a long while after that, but now when reopening the projects after a pause it happens again...

I tried with both Mars and Neon, and both the respective update sites. If anyone has any ideas what could be wrong, I will be forever grateful!

best regards,
Vlad

Re: Can't resolve target platform [message #1747162 is a reply to message #1746690] Thu, 10 November 2016 11:13 Go to previous messageGo to next message
Vlad Dumitrescu is currently offline Vlad DumitrescuFriend
Messages: 426
Registered: July 2009
Location: Gothenburg
Senior Member
It's weirder than I thought. When I create a new target definition and add just the Platform SDK and the PDE, it gives no error when reloading, but the list of bundles is missing almost everything.

index.php/fa/27546/0/

index.php/fa/27547/0/

I tried to clean up everything (.eclipse, workspace), I ran with both Mars and Neon, I can't make it work again and I don't understand anything...

Does anyone have an idea?
  • Attachment: eclipse_1.png
    (Size: 18.45KB, Downloaded 144 times)
  • Attachment: eclipse_2.png
    (Size: 104.30KB, Downloaded 144 times)
icon5.gif  Re: Can't resolve target platform [message #1747170 is a reply to message #1747162] Thu, 10 November 2016 13:15 Go to previous message
Vlad Dumitrescu is currently offline Vlad DumitrescuFriend
Messages: 426
Registered: July 2009
Location: Gothenburg
Senior Member
Update: it works if using the Luna or Oxygen update sites, but not from Mars or Neon. Shocked

It doesn't seem related to the update sites themselves, as we have our own local mirrors and they behave the same...

[Updated on: Thu, 10 November 2016 13:18]

Report message to a moderator

Previous Topic:AbstractUIPlugin.imageDescriptorFromPlugin problems
Next Topic:Custom warnings
Goto Forum:
  


Current Time: Mon Sep 24 18:21:30 GMT 2018

Powered by FUDForum. Page generated in 0.02127 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top